unit UActiveRenderTest;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBClient, StdCtrls, ExtCtrls,
  ComCtrls, OleCtrls, SHDocVw, UActiveRender;

type
  TFrmActiveRender = class(TForm)
    cdsCustomer: TClientDataSet;
    btnRenderizar: TButton;
    pgRender: TPageControl;
    tsText: TTabSheet;
    memCustomer: TMemo;
    ActiveRender: TActiveRender;
    tsHTML: TTabSheet;
    wbCustomer: TWebBrowser;
    procedure btnRenderizarClick(Sender: TObject);
    procedure ActiveRenderAfterRender(Sender: TObject);
  private
  public
  end;

var
  FrmActiveRender: TFrmActiveRender;

implementation

{$R *.dfm}

procedure TFrmActiveRender.ActiveRenderAfterRender(Sender: TObject);
begin
   case ActiveRender.RenderType of
     arText: begin
       memCustomer.Lines.LoadFromFile(ActiveRender.FileName);
     end;
     arHTML: begin
       wbCustomer.Navigate(ActiveRender.HTMLFileName);
     end;
   end;
end;

procedure TFrmActiveRender.btnRenderizarClick(Sender: TObject);
begin
  ActiveRender.RenderType := TActiveRenderTypes(pgRender.ActivePageIndex);
  ActiveRender.RenderDataset;
end;

end.
